- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_snapshot_images – NetApp E-Series create and delete snapshot images

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create and delete snapshots images on snapshot groups for NetApp E-series storage arrays.
- Only the oldest snapshot image can be deleted so consistency is preserved.
- Related: Snapshot volumes are created from snapshot images.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password - / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url - / required |  | The url to the SANtricity WebServices Proxy or embedded REST API.
api_username - / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
snapshot_group - / required |  | The name of the snapshot group in which you want to create a snapshot image.
state - / required | Choices: create remove | Whether a new snapshot image should be created or oldest be deleted.
validate_certs - | Default: "yes" | Should https certificates be validated?

## Examples

    - name: Create Snapshot
      netapp_e_snapshot_images:
        ssid: "{{ ssid }}"
        api_url: "{{ netapp_api_url }}"
        api_username: "{{ netapp_api_username }}"
        api_password: "{{ netapp_api_password }}"
        validate_certs: "{{ validate_certs }}"
        snapshot_group: "3300000060080E5000299C24000005B656D9F394"
        state: 'create'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
image_id string | state == created | ID of snapshot image Sample: 3400000060080E5000299B640063074057BC5C5E
msg string | always | State of operation Sample: Created snapshot image

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.